﻿@using TaskTracker.Extensions;
@model IssueModel

<tr class="search-items" data-id="@Model.Id" data-status="@Model.Status.Id">

    <td>
        <span>
            @Model.Title
        </span>
    </td>
    <td class="text-end">
        @{
            var due = @Model.DueDate.ToDayMonthNameShortString();
            <span> @(!string.IsNullOrEmpty(due) ? due : "-")</span>
        }

    </td>
    <td class="text-center">
        <span class="badge fw-semibold py-1 w-85 bg-@Model.Priority.ColorCode">
            @Model.Priority.Description
        </span>
    </td>

    <td class="text-center">
        @await Html.PartialAsync("_UserAvatar", Model.Assignee)
    </td>
    <td class="text-center">
        <div class="btn-group" role="group" aria-label="Basic example">
            @if (ViewBag.EditTask)
            {
                <button type="button" class="btn btn-sm btn-secondary" onclick="editIssue(@Model.Id)">
                    <i class="fa fa-edit"></i>
                </button>
            }
            else
            {
                <button type="button" class="btn btn-sm btn-light no-access">
                    <i class="fa fa-edit text-muted"></i>
                </button>
            }
            @if (ViewBag.DeleteTask)
            {
                <button type="button" class="btn btn-sm btn-danger" onclick="deleteIssue(@Model.Id)">
                    <i class="fa fa-trash-can"></i>
                </button>
            }
            else
            {
                <button type="button" class="btn btn-sm btn-light no-access">
                    <i class="fa fa-trash-can text-muted"></i>
                </button>
            }

        </div>
    </td>
</tr>